﻿
        var isReadOnly = function (endDate) {
            return (endDate < new Date(2018, 6, 31, 0, 0));
        };
        window.getRoomName = function (value) {
            return value.resourceData[value.resource.textField];
        };
        window.getRoomType = function (value) {
            return value.resourceData.type;
        };
        window.getRoomCapacity = function (value) {
            return value.resourceData.capacity;
        };
        function onPopupOpen(args) {
            var data = args.data;
            if (args.type === 'QuickInfo' || args.type === 'Editor' || args.type === 'RecurrenceAlert' || args.type === 'DeleteAlert') {
                var target = (args.type === 'RecurrenceAlert' ||
                    args.type === 'DeleteAlert') ? data.element[0] : args.target;
                if (!ej.base.isNullOrUndefined(target) && target.classList.contains('e-work-cells')) {
                    if ((target.classList.contains('e-read-only-cells')) ||
                        (!this.isSlotAvailable(data.startTime, data.endTime, data.groupIndex))) {
                        args.cancel = true;
                    }
                }
                else if (!ej.base.isNullOrUndefined(target) && target.classList.contains('e-appointment') &&
                    (isReadOnly(data.EndTime))) {
                    args.cancel = true;
                }
            }
        }
        function onRenderCell(args) {
            if (args.element.classList.contains('e-work-cells')) {
                if (args.date < new Date(2018, 6, 31, 0, 0)) {
                    args.element.setAttribute('aria-readonly', 'true');
                    args.element.classList.add('e-read-only-cells');
                }
            }
            if (args.elementType === 'emptyCells' && args.element.classList.contains('e-resource-left-td')) {
                var target = args.element.querySelector('.e-resource-text');
                target.innerHTML = '<div class="name">Rooms</div><div class="type">Type</div><div class="capacity">Capacity</div>';
            }
        }
        function onEventRendered(args) {
            var data = args.data;
            if (isReadOnly(data.EndTime)) {
                args.element.setAttribute('aria-readonly', 'true');
                args.element.classList.add('e-read-only');
            }
        }
        function onActionBegin(args) {
            if (args.requestType === 'eventCreate' || args.requestType === 'eventChange') {
                var data;
                if (args.requestType === 'eventCreate') {
                    data = args.data[0];
                }
                else if (args.requestType === 'eventChange') {
                    data = args.data;
                }
                var groupIndex = this.eventBase.getGroupIndexFromEvent(data);
                if (!this.isSlotAvailable(data.StartTime, data.EndTime, groupIndex)) {
                    args.cancel = true;
                }
            }
        }
